GpgFrontend::ChannelObject Class Reference

object which in channel system More...

`#include <GpgFunctionObject.h>`

Inheritance diagram for GpgFrontend::ChannelObject:
Collaboration diagram for GpgFrontend::ChannelObject:

## Public Member Functions

| ChannelObject () noexcept
| Construct a new Default Channel Object object. More...
| ChannelObject (int channel)
| Construct a new Channel Object object. More...
int | GetChannel () const
| Get the Channel object. More...
void | SetChannel (int channel)
| Set the Channel object. More...

## Static Public Member Functions

static int | GetDefaultChannel ()
| Get the Default Channel object. More...

## Private Attributes

int | channel_ = _default_channel
| The channel id.

## Static Private Attributes

static constexpr int | _default_channel = 0
| The default channel id.

## Detailed Description

object which in channel system

## Constructor & Destructor Documentation

## ChannelObject() [1/2]

GpgFrontend::ChannelObject::ChannelObject | ( |  | ) |

defaultnoexcept

Construct a new Default Channel Object object.

## ChannelObject() [2/2]

GpgFrontend::ChannelObject::ChannelObject | ( | int | channel | ) |

Construct a new Channel Object object.

Parameters

  channel |

## Member Function Documentation

## GetChannel()

int GpgFrontend::ChannelObject::GetChannel | ( |  | ) | const

Get the Channel object.

Returns
  int

Referenced by GpgFrontend::SingletonFunctionObject< GpgContext >::GetChannel().

## GetDefaultChannel()

int GpgFrontend::ChannelObject::GetDefaultChannel | ( |  | ) |

static

Get the Default Channel object.

Returns
  int

Referenced by GpgFrontend::SingletonFunctionObject< GpgContext >::GetDefaultChannel().

## SetChannel()

void GpgFrontend::ChannelObject::SetChannel | ( | int | channel | ) |

Set the Channel object.

Parameters

  channel | Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

All the source code of GpgFrontend was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

SPDX-License-Identifier: GPL-3.0-or-later

References channel_.

Referenced by GpgFrontend::SingletonStorage::SetObjectInChannel().

The documentation for this class was generated from the following files:

- src/core/GpgFunctionObject.h
- src/core/GpgFunctionObject.cpp